Bug 1807893 - audacity requires Python 2 to build
Summary: audacity requires Python 2 to build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: audacity
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ian McInerney
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1836497
Blocks: BRPY27
TreeView+ depends on / blocked
 
Reported: 2020-02-27 12:46 UTC by Petr Viktorin
Modified: 2021-02-15 01:31 UTC (History)
4 users (show)

Fixed In Version: audacity-2.4.2-4.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-15 01:31:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Viktorin 2020-02-27 12:46:01 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like audacity, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.

It seems that Python 3 support was already merged upstream, at least for the bundled lv2 library which is the thing that fails when I replace "BuildRequires: python2" with "BuildRequires: /usr/bin/python".
See: https://github.com/audacity/audacity/commit/be336797b3a7a921174165524c15141c647b681b

If it's possible that the Python 2 build dependency won't get removed
in Fedora 33, please let us know; the package will need a FESCo exception.

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Fedora Admin XMLRPC Client 2020-04-06 16:47:09 UTC
This package has changed maintainer in the Fedora.
Reassigning to the new maintainer of this component.

Comment 2 Ian McInerney 2020-04-07 13:07:28 UTC
I am waiting for the upcoming 2.4 release before removing the build requires. That commit touches a large portion of code, so I don't feel comfortable cherry-picking into our package. Upstream is hoping to release 2.4 in May, so that should give plenty of time before the F33 branch/mass rebuild.

Comment 3 Ben Cotton 2020-08-11 13:10:52 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.

Comment 4 Fedora Update System 2021-02-09 23:49:03 UTC
FEDORA-2021-fd5673905c has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-fd5673905c

Comment 5 Fedora Update System 2021-02-10 00:44:40 UTC
FEDORA-2021-fd5673905c has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-fd5673905c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-fd5673905c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-02-11 01:59:53 UTC
FEDORA-2021-dadbd49ece has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-dadbd49ece`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-dadbd49ece

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-02-12 02:12:11 UTC
FEDORA-2021-8aaccdbb5f has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-8aaccdbb5f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-8aaccdbb5f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-02-15 01:31:04 UTC
FEDORA-2021-8aaccdbb5f has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.